Package org.apache.tools.ant.taskdefs.optional.junit

# Class JUnitTask.ForkMode

java.lang.Object
org.apache.tools.ant.types.EnumeratedAttribute
org.apache.tools.ant.taskdefs.optional.junit.JUnitTask.ForkMode

Enclosing class:
  `JUnitTask`

public static final class JUnitTask.ForkMode extends EnumeratedAttribute
These are the different forking options

Since:
  1.6.2

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ONCE`
  fork once only
  `static final String`
  `PER_BATCH`
  fork once per batch of tests
  `static final String`
  `PER_TEST`
  fork once per test class

  ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ForkMode()`
  No arg constructor.
  `ForkMode(String value)`
  Constructor using a value.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getValues()`
  This is the only method a subclass needs to implement.

  ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

  `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ONCE

    public static final String ONCE
    fork once only
    See Also:
      - Constant Field Values

  - ### PER_TEST

    public static final String PER_TEST
    fork once per test class
    See Also:
      - Constant Field Values

  - ### PER_BATCH

    public static final String PER_BATCH
    fork once per batch of tests
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ForkMode

    public ForkMode()
    No arg constructor.

  - ### ForkMode

    public ForkMode(String value)
    Constructor using a value.
    Parameters:
      `value` - the value to use - once, perTest or perBatch.

- ## Method Details

  - ### getValues

    public String[] getValues()
    This is the only method a subclass needs to implement..
    Specified by:
      `getValues` in class `EnumeratedAttribute`
    Returns:
      an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.